<ul>
    <form action="{% url 'blog:publish_draft_posts' %}" method="POST">

        {% csrf_token %}

        {% for post in draft_posts %}
            <li>
                <a href="{{ post.get_absolute_url }}">{{ post.title }}</a>
                <input type="checkbox" name="posts" id="post-{{ post.id }}" value="{{ post.id }}">

            </li>
        {% empty %}
            <em> No draft post yet</em>
        {% endfor %}

        {% if draft_posts|length > 0 %}
            <input id="publish-button" class="btn btn-primary btn-sm px-6 px-sm-8" type="submit" value="Publish" disabled>
        {% endif %}
        <script>
            // pour activer ou non le bouton
            const checkboxInputs = Array.from(document.querySelectorAll('input[type="checkbox"][name="posts"]'));
            const publishButton = document.getElementById('publish-button');

            checkboxInputs.forEach(checkbox => {
            checkbox.addEventListener('change', () => {
                const anyChecked = checkboxInputs.some(checkbox => checkbox.checked);
                publishButton.disabled = !anyChecked;
            });
            });
          </script>

    </form>
</ul>